PostgreSQL 7.1.3 Documentation
Prev |  | Next

# DROP FUNCTION

## Name

DROP FUNCTION -- Removes a user-defined C function

## Synopsis

    DROP FUNCTION name ( [ type [, ...] ] )

### Inputs

`name`

  The name of an existing function.

`type`

  The type of function parameters.

### Outputs

`DROP`

  Message returned if the command completes successfully.

`NOTICE RemoveFunction: Function "`name`" ("`types`") does not exist`

  This message is given if the function specified does not exist in the current database.

## Description

DROP FUNCTION will remove references to an existing C function. To execute this command the user must be the owner of the function. The input argument types to the function must be specified, as only the function with the given name and argument types will be removed.

### Notes

Refer to CREATE FUNCTION for information on creating aggregate functions.

No checks are made to ensure that types, operators or access methods that rely on the function have been removed first.

## Usage

This command removes the square root function:

    DROP FUNCTION sqrt(int4);

## Compatibility

### SQL92

DROP FUNCTION is a Postgres language extension.

### SQL/PSM

SQL/PSM is a standard to enable function extensibility. The SQL/PSM DROP FUNCTION statement has the following syntax:

    DROP [ SPECIFIC ] FUNCTION name { RESTRICT | CASCADE }

Prev | Home | Next
DROP DATABASE | Up | DROP GROUP